Subject: Re: bug#40694: 28.0.50; [feature/native-comp] Different behavior of org-insert-link

From: Andrea Corallo <[email-masked]>
Date: Fri, 24 Apr 2020 07:43:35 +0000

Daniel Kraus <[email-masked]> writes:

> Hi!
>
> Andrea Corallo <[email-masked]> writes:
>
>> taking a look I think your bug was already signaled here as a
>> native-comp bug
>
> I'm not subscribed to this bug mailing list and somehow I have
> a hard time browsing and searching with debbugs to look for already
> existing bugs :(

Sure was not a remark :)

>> but in reality is a bug in the org side and as so has been
>> reported there.
>> https://lists.gnu.org/archive/html/emacs-orgmode/2020-04/msg00095.html
>
> Thanks for investigating. Now I can patch my local version until
> upstream is fixed.
>
> I just found one more broken package. https://github.com/silex/docker.el/
>
> Like with jupyter and org, I guess this is simply an error
> in the package and not your code but I can't figure out what's wrong.
>
> When calling any docker function (like `docker-containers`)
> it calls this macro https://github.com/silex/docker.el/blob/08745207332d940130a2357eb5c5e00fd88bd6af/docker-utils.el#L102-L107
> and then I get:
>
> docker-run-docker: Invalid function: docker-utils-with-sudo
>
> Thank you very much,
>   Daniel

To a quick look I think in docker-core.el is missing a
'(require 'docker-utils)'.

Thanks

  Andrea

-- 
[email-masked]